| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwDSN6.h File Reference

Header file for reading and writing DSN6 files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | DSN6head

## Macros
#define | DSN6SIZE 512

## Functions
int | readDSN6 (Bimage *p, int readdata)
| Reading a DSN6 map image file format. More...
int | writeDSN6 (Bimage *p)
| Writing a DSN6 map image file format. More...

## Detailed Description

Header file for reading and writing DSN6 files.

Author
  Bernard Heymann

Date
  Created: 20011226
  Modified: 200111217

      Format: 3D crystallographic image file format for the DSN6 format

Definition in file rwDSN6.h.

## Macro Definition Documentation

## ◆ DSN6SIZE

#define DSN6SIZE 512

Definition at line 13 of file rwDSN6.h.

## Function Documentation

## ◆ readDSN6()

int readDSN6 | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a DSN6 map image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D image format used in X-ray crystallography. Header size: 512 bytes File format extensions: .omap, .dsn6, .dn6 Header byte order always big-endian, composed of short's. Byte order determination: Scaling fields must be less than 256. Data type: unsigned char or byte.

Definition at line 27 of file rwDSN6.cpp.

## ◆ writeDSN6()

int writeDSN6 | ( | Bimage * | p | ) |

Writing a DSN6 map image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D image format used in X-ray crystallography.

Definition at line 112 of file rwDSN6.cpp.